Skip to content

Connector Configuration.

GET
/api/shape/bot/namespaces/{namespace}/protected_applications/{name}/config
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/shape/bot/namespaces/example/protected_applications/example/config \
--header 'Authorization: <Authorization>'

GET Connector config.

Examples of this operation.

namespace
required
string

Namespace namespace is used to scope the query.

name
required
string

Application Name Protected application name.

A successful response.

Media typeapplication/json
ConnectorConfigResponse

Connector configuration response.

object
config
Connector Config

Connector configuration.

string
<= 1024 characters
name
Connector name

Connector config file name.

string
>= 6 characters <= 1024 characters
Examplegenerated
{
"config": "example",
"name": "example"
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example